## kdf 16.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(kdf)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "16")
set (KDE_APPLICATIONS_VERSION_MINOR "08")
set (KDE_APPLICATIONS_VERSION_MICRO "3")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

if(NOT UNIX)
  message(FATAL_ERROR "kdf is only supposed to be built on Unix platforms.")
endif(NOT UNIX)

set (QT_MIN_VERSION "5.2.0")
set (KF5_MIN_VERSION "5.6.0")
set (ECM_MIN_VERSION "5.14.0")

find_package(ECM ${ECM_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(ECMGenerateHeaders)
include(ECMInstallIcons)
include(ECMPackageConfigHelpers)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(GenerateExportHeader)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KDF
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kdf_version.h"
)

ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KDFPRIVATE
    SOVERSION ${KDE_APPLICATIONS_VERSION_MAJOR}
)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
    Core
    Gui
    Widgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    ConfigWidgets
    CoreAddons
    DocTools
    I18n
    IconThemes
    KIO
    KCMUtils
    Notifications
    WidgetsAddons
    XmlGui
)

add_subdirectory(desktop)
add_subdirectory(doc)
add_subdirectory(pics)
add_subdirectory(src)

## kdf 4.8.2

=== debian/changelog ===
kdf (4:4.8.2-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:32:05 +0100

kdf (4:4.8.2-0ubuntu1) precise; urgency=low

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Apr 2012 08:52:01 +0000

kdf (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 21:38:43 +0100

kdf (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jan 2012 12:10:42 +0000

kdf (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:40 +0000

kdf (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 23:11:00 +0100

kdf (4:4.7.90-0ubuntu1) precise; urgency=low

  * Initial package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Dec 2011 13:33:33 +0000

=== debian/control ===
Source: kdf
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1)
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kdeutils/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kdeutils/ubuntu

Package: kdf
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: disk information utility
 KDiskFree displays information about hard disks and other storage devices,
 including the amount of free space available.  It can also mount and unmount
 storage devices and view them in the file manager.
 .
 KwikDisk is an icon for the system tray that provides convenient access to
 the features of KDiskFree.
 .
 This package is part of the KDE SC utilities module.

## kdf 4.8.4

=== debian/changelog ===
kdf (4:4.8.4-1) unstable; urgency=low

  * Team upload.

  [ José Manuel Santamaría Lema ]
  * Initial release, split from kdeutils.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 19 Jun 2012 21:35:33 -0300

=== debian/control ===
Source: kdf
Section: utils
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8)
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdf.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdf.git

Package: kdf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: disk information utility
 KDiskFree displays information about hard disks and other storage devices,
 including the amount of free space available. It can also mount and unmount
 storage devices and view them in the file manager.
 .
 KwikDisk is an icon for the system tray that provides convenient access to
 the features of KDiskFree.
 .
 This package is part of the KDE SC utilities module.

## kdf 4.9.2

=== debian/changelog ===
kdf (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:26:54 +0100

kdf (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:30:12 +0530

kdf (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:24:31 +0100

kdf (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 23:27:49 +0200

kdf (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 16:37:41 +0100

=== debian/control ===
Source: kdf
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: 
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.9.2)
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kdeutils/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kdeutils/ubuntu

Package: kdf
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: disk information utility
 KDiskFree displays information about hard disks and other storage devices,
 including the amount of free space available.  It can also mount and unmount
 storage devices and view them in the file manager.
 .
 KwikDisk is an icon for the system tray that provides convenient access to
 the features of KDiskFree.
 .
 This package is part of the KDE SC utilities module.

## kdf 4.9.3

=== debian/changelog ===
kdf (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:37:06 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2)
+ kdelibs5-dev (>= 4:4.9.3)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kdeutils/ubuntu

## kdf 4.10.0

=== debian/changelog ===
kdf (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:52:08 +0000

kdf (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:34:01 +0000

kdf (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:33:49 +0100

kdf (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:28:19 +0000

kdf (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:51:19 +0000

kdf (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:57:09 +0000

kdf (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:35:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.3)
+ kdelibs5-dev (>= 4:4.10.0)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kdeutils/ubuntu

## kdf 4.10.2

=== debian/changelog ===
kdf (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:47:18 +0200

kdf (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
  * Drop obsolete lintian-overrides file from kdeutils

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:44:07 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0)
+ kdelibs5-dev (>= 4:4.10.2)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kdeutils/ubuntu

## kdf 4.11.2

=== debian/changelog ===
kdf (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:22:49 +0100

kdf (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:21:29 +0100

kdf (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:13:43 +0100

kdf (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:32:20 +0100

kdf (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 15 Jul 2013 10:35:59 +0100

kdf (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:12:14 +0100

kdf (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:14:08 +0100

kdf (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:30:47 +0100

kdf (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 May 2013 16:55:12 +0000

kdf (4:4.10.2-1) experimental; urgency=low

  * New upstream release.
  * Bump build-deps.
  * Update uploaders.

 -- Sune Vuorela <sune@debian.org>  Sun, 07 Apr 2013 23:04:11 +0000

=== debian/control ===
Source: kdf
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2)
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdf
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdf
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdf.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kdf.git

Package: kdf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: disk information utility
 KDiskFree displays information about hard disks and other storage devices,
 including the amount of free space available. It can also mount and unmount
 storage devices and view them in the file manager.
 .
 KwikDisk is an icon for the system tray that provides convenient access to
 the features of KDiskFree.
 .
 This package is part of the KDE SC utilities module.

## kdf 4.13.0

=== debian/changelog ===
kdf (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:59:51 +0100

kdf (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:24:08 +0200

kdf (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:26:13 +0100

kdf (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:54:44 +0000

kdf (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:46:02 +0100

kdf (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:57:51 +0000

kdf (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:15:25 +0000

kdf (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:04:01 +0000

kdf (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:06:29 +0000

kdf (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:02:45 +0100

kdf (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:39:17 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2)
+ kdelibs5-dev (>= 4:4.13.0)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdf

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kdf-([\d\.]*).tar.xz

## kdf 4.14.0

=== debian/changelog ===
kdf (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 18:28:32 +0200

kdf (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:12 +0200

kdf (4:4.12.2-1) experimental; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:47 +0100

kdf (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 10 Nov 2013 00:27:35 +0100

kdf (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 11:59:23 +0200

kdf (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:25:25 +0200

kdf (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Add myself to uploaders.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 19:46:25 +0200

=== debian/control ===
Source: kdf
Section: utils
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdf.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdf.git

Package: kdf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: disk information utility
 KDiskFree displays information about hard disks and other storage devices,
 including the amount of free space available. It can also mount and unmount
 storage devices and view them in the file manager.
 .
 KwikDisk is an icon for the system tray that provides convenient access to
 the features of KDiskFree.
 .
 This package is part of the KDE SC utilities module.

## kdf 4.14.1

=== debian/changelog ===
kdf (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:10:23 +0200

kdf (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:05:33 +0200

kdf (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:40:19 +0200

kdf (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:11:14 +0200

kdf (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:04:05 +0200

kdf (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:55:15 +0100

kdf (4:4.13.0-0ubuntu2) utopic; urgency=medium

  * Merge with debian, no remaining changes

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 12 Jun 2014 13:29:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: kdf
 Section: utils
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.1),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdf.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdf.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdf
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdf
+X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdf.git
+X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdf.git
 
 Package: kdf
 Architecture: any

## kdf 4.14.2

=== debian/changelog ===
kdf (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:48:50 +0200

kdf (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:48:38 -0700

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/

## kdf 14.12.3

=== debian/changelog ===
kdf (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:15:31 -0700

kdf (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:09:39 -0800

kdf (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:51:34 +0100

kdf (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 18:45:22 -0800

kdf (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
   - Fix Watch file applications locations 
   - Fix VCS for new kde-applications location
   - Change a reference to SC to applications in control desc.
  * Debian merge, no remaining changes.
  
 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 25 Nov 2014 13:00:03 +0000

kdf (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:48:38 -0700

=== debian/control ===
Source: kdf
Section: utils
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kdf.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kdf.git

Package: kdf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: disk information utility
 KDiskFree displays information about hard disks and other storage devices,
 including the amount of free space available. It can also mount and unmount
 storage devices and view them in the file manager.
 .
 KwikDisk is an icon for the system tray that provides convenient access to
 the features of KDiskFree.
 .
 This package is part of the KDE Applications utilities module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdf-([\d.]+).tar.xz

http://download.kde.org/unstable/applications/([\d.]+)/src/kdf-([\d.]+).tar.xz

## kdf 15.08.2

=== debian/changelog ===
kdf (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:23:35 +0100

kdf (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:49:30 +0100

kdf (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:24:18 +0100

kdf (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:49:00 +0100

kdf (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:59:22 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kdf.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kdf.git

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdf-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kdf-([\d.]+).tar.xz

## kdf 15.12.3

=== debian/changelog ===
kdf (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:19:25 -0700

kdf (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Scarlett Clark ]
  * Debian merge: No remaining changes.
  * New upstream release. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:42:03 +0100

kdf (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:10:33 +0200

kdf (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 Feb 2015 20:05:45 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kdf.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kdf.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kdf.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kdf.git
 
 Package: kdf
 Architecture: any

## kdf 16.08.3

=== debian/changelog ===
kdf (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:08:20 +0100

kdf (4:16.08.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 17 Oct 2016 23:28:45 +0200

kdf (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies following the port to Frameworks:
    - remove kde-sc-dev-latest, and kdelibs5-dev
    - add extra-cmake-modules, qtbase5-dev, kdoctools-dev,
      libkf5configwidgets-dev, libkf5coreaddons-dev, libkf5i18n-dev,
      libkf5iconthemes-dev, kio-dev, libkf5kcmutils-dev,
      libkf5notifications-dev, libkf5widgetsaddons-dev, and libkf5xmlgui-dev
  * Switch to the class 3 of debian-qt-kde.mk:
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Update lintian overrides.
  * Bump the cmake build dependency to >= 2.8.12, according to the upstream
    build system.

 -- Pino Toscano <pino@debian.org>  Sun, 28 Aug 2016 11:19:01 +0200

kdf (4:15.08.0-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 18:03:18 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,27 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
-               pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.6
+               extra-cmake-modules (>= 5.14.0),
+               kdoctools-dev (>= 5.6.0),
+               kio-dev (>= 5.6.0),
+               libkf5configwidgets-dev (>= 5.6.0),
+               libkf5coreaddons-dev (>= 5.6.0),
+               libkf5doctools-dev (>= 5.6.0~),
+               libkf5i18n-dev (>= 5.6.0),
+               libkf5iconthemes-dev (>= 5.6.0),
+               libkf5kcmutils-dev (>= 5.6.0),
+               libkf5kio-dev (>= 5.6.0~),
+               libkf5notifications-dev (>= 5.6.0),
+               libkf5widgetsaddons-dev (>= 5.6.0),
+               libkf5xmlgui-dev (>= 5.6.0),
+               pkg-kde-tools (>= 0.15.16),
+               qtbase5-dev (>= 5.2.0)
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kdf.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kdf.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdf.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdf.git
 
 Package: kdf
 Architecture: any

## kdf 16.12.3

=== debian/changelog ===
kdf (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:23:54 +0000

kdf (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:12:32 +0000

kdf (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

  [ Rik Mills ]
  * Add KF5 packaging
  * Lintian override package-name-doesnt-match-sonames

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:41:57 +0200

=== debian/control ===
Source: kdf
Section: utils
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdf
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdf

Package: kdf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: disk information utility
 KDiskFree displays information about hard disks and other storage devices,
 including the amount of free space available. It can also mount and unmount
 storage devices and view them in the file manager.
 .
 KwikDisk is an icon for the system tray that provides convenient access to
 the features of KDiskFree.
 .
 This package is part of the KDE Applications utilities module.

## kdf 17.04.3

=== debian/changelog ===
kdf (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Clive Johnston ]
  * Fixing lintian-overrides

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:27:47 +0100

## kdf 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 project(kdf)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "16")
-set (KDE_APPLICATIONS_VERSION_MINOR "08")
+set (KDE_APPLICATIONS_VERSION_MAJOR "17")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
@@ -61,3 +61,7 @@
 add_subdirectory(doc)
 add_subdirectory(pics)
 add_subdirectory(src)
+ki18n_install(po)
+if (KF5DocTools_FOUND)
+ kdoctools_install(po)
+endif()

=== desktop/CMakeLists.txt ===

########### install files ###############

install( PROGRAMS org.kde.kdf.desktop org.kde.kwikdisk.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install( FILES kdfui.rc  DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/kdf)
install( FILES kcmdf.desktop DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kdf\")

########### kdfprivate library ###############

set(kdfprivate_SRCS
    kdfwidget.cpp
    kdfconfig.cpp
    kdfitemdelegate.cpp
    kdfsortproxymodel.cpp
    mntconfig.cpp
    disklist.cpp
    disks.cpp
    optiondialog.cpp
    stdoption.cpp
)

ecm_qt_declare_logging_category(kdfprivate_SRCS
                                HEADER kdfprivate_debug.h
                                IDENTIFIER KDF
                                CATEGORY_NAME kdf.private)

ki18n_wrap_ui(kdfprivate_SRCS
    kdfconfig.ui
    mntconfig.ui )

add_library(kdfprivate ${kdfprivate_SRCS})
generate_export_header(kdfprivate BASE_NAME kdfprivate)
target_link_libraries(kdfprivate PUBLIC
    Qt5::Core
    KF5::Completion
    KF5::ConfigWidgets
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    KF5::WidgetsAddons
)

set_target_properties(kdfprivate PROPERTIES
    VERSION ${KDFPRIVATE_VERSION_STRING}
    SOVERSION ${KDFPRIVATE_SOVERSION}
)

install(TARGETS kdfprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)


########### kdf executable ###############

set(kdf_SRCS kdf.cpp)

ecm_qt_declare_logging_category(kdf_SRCS
                                HEADER kdf_debug.h
                                IDENTIFIER KDF
                                CATEGORY_NAME kdf.main)

add_executable(kdf ${kdf_SRCS})

target_link_libraries(kdf
    kdfprivate
    Qt5::Core
    KF5::XmlGui
)

install(TARGETS kdf  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


########### kwikdisk executable ###############

set(kwikdisk_SRCS kwikdisk.cpp)

ecm_qt_declare_logging_category(kwikdisk_SRCS
                                HEADER kwikdisk_debug.h
                                IDENTIFIER KDF
                                CATEGORY_NAME kdf.kwikdisk)

add_executable(kwikdisk ${kwikdisk_SRCS})

target_link_libraries(kwikdisk
    kdfprivate
    Qt5::Core
    KF5::KIOWidgets
    KF5::Notifications
)

install(TARGETS kwikdisk  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


########### kdf KCM ###############

set(kcm_kdf_PART_SRCS kcmdf.cpp)

ecm_qt_declare_logging_category(kcm_kdf_PART_SRCS
                                HEADER kcmdf_debug.h
                                IDENTIFIER KDF
                                CATEGORY_NAME kdf.kcm)

add_library(kcm_kdf ${kcm_kdf_PART_SRCS})

target_link_libraries(kcm_kdf
    kdfprivate
    Qt5::Core
)

install(TARGETS kcm_kdf  DESTINATION ${KDE_INSTALL_PLUGINDIR})

=== debian/changelog ===
kdf (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:26:23 +0000

kdf (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:57:18 +0000

kdf (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:05:04 +0000

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,8 @@
 Package: kdf
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: disk information utility
  KDiskFree displays information about hard disks and other storage devices,
  including the amount of free space available. It can also mount and unmount

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdf-([\d.]+).tar.xz

## kdf 18.04.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,9 @@
 project(kdf)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "17")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "3")
+set (KDE_APPLICATIONS_VERSION_MAJOR "18")
+set (KDE_APPLICATIONS_VERSION_MINOR "04")
+set (KDE_APPLICATIONS_VERSION_MICRO "1")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 if(NOT UNIX)

=== pics/CMakeLists.txt ===
ecm_install_icons(
  ICONS
    16-apps-kdf.png
    22-apps-kdf.png
    32-apps-kdf.png
    48-apps-kdf.png
    64-apps-kdf.png
    128-apps-kdf.png
  DESTINATION
    ${KDE_INSTALL_ICONDIR}
)
ecm_install_icons(
  ICONS
    16-apps-kwikdisk.png
    22-apps-kwikdisk.png
    32-apps-kwikdisk.png
    48-apps-kwikdisk.png
    64-apps-kwikdisk.png
    128-apps-kwikdisk.png
  DESTINATION
    ${KDE_INSTALL_ICONDIR}
)

ecm_install_icons(
  ICONS
    16-apps-kcmdf.png
    22-apps-kcmdf.png
    32-apps-kcmdf.png
  DESTINATION
    ${KDE_INSTALL_ICONDIR}
)

=== debian/changelog ===
kdf (4:18.04.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Update copyright file for new upstream.
  * Update lintian-overrides to match new library version.

 -- Sandro Knauß <hefee@debian.org>  Thu, 31 May 2018 00:43:18 +0200

kdf (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata

  [ Pino Toscano ]
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Dec 2017 15:02:04 +0100

kdf (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 13:59:49 +0000

kdf (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:34:57 +0000

kdf (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:21:04 +0000

kdf (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:21:30 +0000

kdf (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:16:19 +0000

kdf (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:03:58 +0000

kdf (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:48:18 +0000

kdf (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:58:23 +0000

kdf (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:20:11 +0000

kdf (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:26:44 +0000

kdf (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:00 +0000

kdf (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:39:52 +0000

kdf (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:06:21 +0000

kdf (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 09:52:57 +0000

kdf (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:28:09 +0000

kdf (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 15 Jun 2016 14:45:54 +0000

## kdf 18.04.3

=== debian/changelog ===
kdf (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * Update lintian overrides for new version
  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:16:50 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdf

## kdf 18.12.3

=== debian/changelog ===
kdf (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:28:06 +0000

kdf (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:15:26 +0000

kdf (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:10:19 +0000

kdf (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:48:48 +0000

kdf (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 16 Dec 2018 22:01:05 +0000

## kdf 19.04.3

=== debian/changelog ===
kdf (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:13:44 +0100

kdf (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:04:52 +0100

kdf (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:57:35 +0100

kdf (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * Update lintian-overrides.
  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:43:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9),
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
@@ -17,7 +18,7 @@
                libkf5xmlgui-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
-Standards-Version: 3.9.6
+Standards-Version: 4.1.4
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdf
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdf
